Get Payout Status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Response

{
    "message": "Payout details received successfully",
    "code": "00",
    "status": true,
    "data": {
        "accountNumber": "1234567890",
        "accountName": "ACCOUNT NAME",
        "bankName": "Transactpay Bank",
        "providerReference": "999999250923140035210597815798",
        "amount": 10000.00,
        "responseMessage": "Transaction successful",
        "responseCode": "00",
        "clientReference": "myClientRef",
        "status": "Successful"
    }
}

Possible Status IDs and their statuses

The StatusID represents the current state of a transaction in its lifecycle.

StatusIDStatusDescription
1InitiatedPayout request has been created.
2PendingPayout is awaiting processing.
3ProcessingPayout is currently being processed.
4FailedPayout failed permanently.
5SuccessfulPayout completed successfully.
6Awaiting ApprovalPayout is awaiting first-level approval.
7Awaiting VerificationPayout is awaiting verification checks.
8RejectedPayout was rejected during approval/verification.
9ReversedPayout was reversed after processing.
10Awaiting Second Level Approval VerificationPayout is awaiting second-level approval.
11Failed(pending confirmation)Payout failed but still awaiting final confirmation.
12Failed(retriggered)Payout previously failed and has been retriggered.
Path Params
string
required
Headers
string
required
Defaults to YOUR-SECRET-KEY
Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!